/monitors (POST)
POST
/monitors
const url = 'https://culipulse.dev/v1/monitors';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"API health","type":"http","target":"https://api.example.com/health","interval_seconds":60}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://culipulse.dev/v1/monitors \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "API health", "type": "http", "target": "https://api.example.com/health", "interval_seconds": 60 }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
string
Example
API healthtype
string
Example
httptarget
string
Example
https://api.example.com/healthinterval_seconds
number
Example
60Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
string
status
required
string
Examplegenerated
{ "id": "example", "status": "example"}Invalid request
Media typeapplication/json
object
error
required
string
request_id
string
Example
{ "error": "not found", "request_id": "req_abc123"}